import java.lang.reflect.InvocationTargetException;
import java.lang.reflect.Method;

public class Crash_0b10ae055eeb61c7daa2031afd9bee506c5ed421 {
    static final String base64Bytes = String.join("", "rO0ABXNyABNqYXZhLnV0aWwuQXJyYXlMaXN0eIHSHZnHYZ0DAAFJAARzaXpleHAAAAADdwQAAAADdABkMXp6enp6enp6enp6enp6enp6enp6enp6enp6enp6enp6QHp6enp6enp6enp6enp6enp6enp6enp6enp6enp6enp6enp6emp6enp6enp6enp6enp6enp6enp6enp6ei56enp6enQAA3p6enQACV1dXV1dXXp6eng=");

    public static void main(String[] args) throws Throwable {
        Crash_0b10ae055eeb61c7daa2031afd9bee506c5ed421.class.getClassLoader().setDefaultAssertionStatus(true);
        try {
            Method fuzzerInitialize = UserRegistrationFuzzTest.class.getMethod("fuzzerInitialize");
            fuzzerInitialize.invoke(null);
        } catch (NoSuchMethodException ignored) {
            try {
                Method fuzzerInitialize = UserRegistrationFuzzTest.class.getMethod("fuzzerInitialize", String[].class);
                fuzzerInitialize.invoke(null, (Object) args);
            } catch (NoSuchMethodException ignored1) {
            } catch (IllegalAccessException | InvocationTargetException e) {
                e.printStackTrace();
                System.exit(1);
            }
        } catch (IllegalAccessException | InvocationTargetException e) {
            e.printStackTrace();
            System.exit(1);
        }
        com.code_intelligence.jazzer.api.CannedFuzzedDataProvider input = new com.code_intelligence.jazzer.api.CannedFuzzedDataProvider(base64Bytes);
        UserRegistrationFuzzTest.fuzzerTestOneInput(input);
    }
}